#
# spec file for package at (Version 3.1.8)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         at
Release:      11
Copyright:    1993 David Parsons, 1993, 1994 Thomas Koenig
Group: 
Provides:     at 
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      3.1.8
Summary:      Job Manager
Source: at-3.1.8.tar.gz
Patch: at-3.1.8.dif
%description
With this program you can run jobs at a specified time.

Authors:
--------
    Thomas Koenig <ig25@rz.uni-karlsruhe.de>
    David Parsons <orc@pell.chi.il.us>

%prep
%setup
%patch
CFLAGS='-Wall -O2 -pipe' 
export CFLAGS 
SENDMAIL=/usr/sbin/sendmail
export SENDMAIL
./configure --prefix=/usr --with-daemon_username=at --with-daemon_groupname=at
%build
FLAGS='-Wall -O2 -pipe'       
export CFLAGS                   
SENDMAIL=/usr/sbin/sendmail
export SENDMAIL
make
%install
FLAGS='-Wall -O2 -pipe'
export CFLAGS
SENDMAIL=/usr/sbin/sendmail
export SENDMAIL
make install
#mkdir -p /install /var/adm/fillup-templates /sbin/init.d
install -m 644 rc.config.at /var/adm/fillup-templates/
install rc.at /sbin/init.d/at
ln -sf ../at /sbin/init.d/rc2.d/S20at
ln -sf ../at /sbin/init.d/rc2.d/K20at
ln -sf ../at /sbin/init.d/rc3.d/S20at
ln -sf ../at /sbin/init.d/rc3.d/K20at
Check
%post
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.at
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.at and"
  echo "update by hand."
fi
if test -e var/cron/tabs/root ; then
    if grep -v ^# var/cron/tabs/root | grep atrun > /dev/null ; then
        echo
        echo "Attention: found atrun in crontab for root. You should disable it"
        echo "or you should set START_ATD to no in etc/rc.config ."
        echo
    fi
fi
%files
%doc Problems Copyright README ChangeLog timespec
%dir /var/spool/atspool
%config /etc/at.deny
%config /sbin/init.d/at
/sbin/init.d/rc2.d/K20at
/sbin/init.d/rc2.d/S20at
/sbin/init.d/rc3.d/K20at
/sbin/init.d/rc3.d/S20at
/usr/bin/at
/usr/bin/atq
/usr/bin/atrm
/usr/bin/batch
%doc /usr/man/man1/at.1.gz
%doc /usr/man/man1/atq.1.gz
%doc /usr/man/man1/atrm.1.gz
%doc /usr/man/man1/batch.1.gz
%doc /usr/man/man8/atd.8.gz
%doc /usr/man/man8/atrun.8.gz
/usr/sbin/atd
/usr/sbin/atrun
/var/adm/fillup-templates/rc.config.at
/var/spool/atjobs/.SEQ

